# Class GetXmrPrimaryAddressRequest

#### Hierarchy

- unknown
  - GetXmrPrimaryAddressRequest

- Defined in src/protobuf/grpc_pb.d.ts:3030
- Defined in src/protobuf/grpc_pb.d.ts:3039

#####
Index

### Constructors

constructor

### Methods

serializeBinary
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetXmrPrimaryAddressRequest(): GetXmrPrimaryAddressRequest

- #### Returns GetXmrPrimaryAddressRequest

  Inherited from jspb.Message.constructor

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:3031

### toObject

- toObject(includeInstance?: boolean): GetXmrPrimaryAddressRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetXmrPrimaryAddressRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3032

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetXmrPrimaryAddressRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetXmrPrimaryAddressRequest

  - Defined in src/protobuf/grpc_pb.d.ts:3035

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetXmrPrimaryAddressRequest, reader: BinaryReader): GetXmrPrimaryAddressRequest

- #### Parameters

  - ##### message: GetXmrPrimaryAddressRequest

  - ##### reader: BinaryReader

  #### Returns GetXmrPrimaryAddressRequest

  - Defined in src/protobuf/grpc_pb.d.ts:3036

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetXmrPrimaryAddressRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetXmrPrimaryAddressRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:3034

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetXmrPrimaryAddressRequest): GetXmrPrimaryAddressRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetXmrPrimaryAddressRequest

  #### Returns GetXmrPrimaryAddressRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3033

Generated using TypeDoc